# Uses of Class
org.bukkit.permissions.PermissionAttachmentInfo

Packages that use PermissionAttachmentInfo
Package
Description
org.bukkit.command
Classes relating to handling specialized non-chat player input.
org.bukkit.permissions
Classes dedicated to providing binary state properties to players.

## Uses of PermissionAttachmentInfo in org.bukkit.command

Methods in org.bukkit.command that return types with arguments of type PermissionAttachmentInfo
Modifier and Type
Method
Description
`default @NotNull Set<PermissionAttachmentInfo>`
MessageCommandSender.`getEffectivePermissions()`

## Uses of PermissionAttachmentInfo in org.bukkit.permissions

Methods in org.bukkit.permissions that return types with arguments of type PermissionAttachmentInfo
Modifier and Type
Method
Description
`@NotNull Set<PermissionAttachmentInfo>`
Permissible.`getEffectivePermissions()`
Gets a set containing all of the permissions currently in effect by this object
`@NotNull Set<PermissionAttachmentInfo>`
PermissibleBase.`getEffectivePermissions()`